#
# Conditional build:
%bcond_without	test # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PAR
%define		pnam	Dist
Summary:	PAR::Dist - create and manipulate PAR distributions
Summary(pl.UTF-8):	PAR::Dist - tworzenie i manipulacja dystrybucjami PAR
Name:		perl-PAR-Dist
Version:	0.49
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PAR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd852113974544f3c8c107ab4055cf8c
URL:		http://par.perl.org/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates and manipulates PAR distributions.  They are
architecture-specific PAR files, containing everything under blib/ of
CPAN distributions after their "make" or "Build" stage, a META.yml
describing metadata of the original CPAN distribution, and a MANIFEST
detailing all files within it.  Digitally signed PAR distributions
will also contain a SIGNATURE file.

%description -l pl.UTF-8
Ten moduł tworzy i manipuluje dystrybucjami PAR. Są one zależnymi od
architektury plikami PAR. Zawierają wszystko to, co znajduje się
w katalogu blib/ dystrybucji CPAN po wykonaniu etapu "make" lub
"Build", plik META.yml opisujący metadane pierwotnej dystrybucji CPAN
oraz plik MANIFEST zawierający listę plików. Podpisane cyfrowo
dystrybucje PAR zawierają dodatkowo plik SIGNATURE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PAR/Dist.pm
%{_mandir}/man3/PAR::Dist.3pm*
%changelog
* Sun Jun 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PAR-Dist.git;a=log;h=master

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 7837537
- updated to 0.49

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 87a4cc6
- up to 0.48

* Fri Sep 18 2009 amateja <amateja@pld-linux.org> 0da11a4
- updated to 0.46

* Fri Sep 04 2009 amateja <amateja@pld-linux.org> 4d85707
- updated to 0.45

* Tue Jan 06 2009 duddits <duddits@pld-linux.org> 20b966d
- up to 0.42

* Sat Dec 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 0c018a1
- complete URL

* Thu Dec 11 2008 radek <radek@pld-linux.org> ae7d3ec
- version 0.40

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e590abf
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 43d382c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6c7d4b7
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 6d237b4
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8606364
- formatting

* Sun Aug 01 2004 ankry <ankry@pld-linux.org> 55c914d
- removed dir belonging to perl-base, rel. 3

* Sat Jun 05 2004 radek <radek@pld-linux.org> c39cf5c
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> b4df974
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> d8186a9
- fixed perl-devel BR

* Thu May 06 2004 ankry <ankry@pld-linux.org> 7bcec52
- cosmetics

* Thu Apr 22 2004 Maciej Pijanka <agaran@pld-linux.org> 11ce16f
- updated to new bconds

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 34510c4
- cosmetics

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 90a4d2f
- autoupdated to 0.07

